package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目进度对象 cmc_project_progress
 * 
 * @author cmc
 * @date 2024-04-02
 */
public class CmcProjectProgress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目进度id */
    private Long progressId;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    /** 累计进度 */
    @Excel(name = "累计进度")
    private String percentage;

    /** 截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 情况说明 */
    @Excel(name = "情况说明")
    private String situation;

    public void setProgressId(Long progressId)
    {
        this.progressId = progressId;
    }

    public Long getProgressId()
    {
        return progressId;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setPercentage(String percentage) 
    {
        this.percentage = percentage;
    }

    public String getPercentage() 
    {
        return percentage;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setSituation(String situation) 
    {
        this.situation = situation;
    }

    public String getSituation() 
    {
        return situation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("progressId", getProgressId())
            .append("projectId", getProjectId())
            .append("percentage", getPercentage())
            .append("date", getDate())
            .append("situation", getSituation())
            .toString();
    }
}
